/**Macbook Retina**/
@media screen and (min-device-width: 1200px) and (max-device-width: 1600px) and (-webkit-min-device-pixel-ratio: 2) and (min-resolution: 192dpi) {
  .dyn .billing-cards .box h2 {
    padding-left: 0.75em;
    font-size: 1.3rem;
    width: calc(100% - 3rem);
    margin-bottom: 0;
  }
  .dyn .billing-cards .box .fa-stack {
    width: 3rem;
    font-size: 1.4em;
  }
}

/*tablet*/
@media only screen and (min-device-width: 768px) and (max-device-width: 1024px) and (orientation: portrait) and (-webkit-min-device-pixel-ratio: 1),
  screen and (max-width: 1020px) {
  .navbar-header .navbar-header {
    display: block;
  }
  .skin-ucloud .btn-primary.navbar-minimalize {
    top: 0;
    left: -10px;
  }
  .navbar-header .navbar-header .navbar-form-custom {
    width: 60px;
  }
  .dyn .modal-loader.dashboard {
    left: 0;
  }
  .dyn .row.grid-3,
  .dyn .row.grid-2,
  .dyn .row.grid-1 {
    grid-template-columns: 100% !important;
  }

  body {
    max-width: 100vw;
  }

  .body-small .navbar-static-side {
    transition: 0.5 all;
    position: fixed;
    display: block;
    transition: 0.4s all;
    min-width: 60%;
    z-index: 10000;
    left: -100%;
    top: 0;
  }

  .copyrightLabelWrapper {
    position: relative;
  }
  .copyrightLabelWrapper a.copyrightLabel {
    padding: 1rem;
    padding-top: 2rem;
    display: block;
  }

  .navbar.navbar-static-top {
    margin-bottom: 0;
    position: fixed;
    right: 0;
    top: 0;
    left: 0;
    margin: 0;
    background-color: var(--dyn-white) !important;
    border-radius: 0;
    box-shadow: 0 1px 3px var(--dyn-shadow-lighten);
    margin-top: 0;
  }

  .main-header .col-container > .col {
    width: 100%;
    padding-top: 75px;
    overflow: hidden;
    overflow-x: hidden;
    overflow-y: auto;
  }

  .fab-uc2 {
    display: block;
  }
  .budgets-lines .budget-list {
    justify-content: center !important;
  }
  .budgets-lines .subBudgetValue {
    justify-content: center !important;
  }

  .budget__element {
    display: flex;
    flex: auto;
    flex-wrap: wrap;
  }
}
/*laptop HD*/
@media only screen and (min-device-width: 768px) and (max-device-width: 1400px) and (orientation: landscape) and (-webkit-min-device-pixel-ratio: 1),
  screen and (max-width: 1200px) {
  .uc-grid-3 {
    grid-template-columns: 1fr 1fr;
  }
  .uc-grid-3 .colspan-3 {
    grid-column: auto / span 2;
  }

  .uc-grid-3 #barchart_material > div > div {
    width: auto !important;
  }

  .dyn .uc-grid-3 #shortcutsBox {
    display: none;
  }
  .uc-grid-3 .uc-grid-3 {
    grid-template-columns: 1fr 1fr 1fr;
  }
}

/*Phone*/
@media only screen and (min-device-width: 320px) and (max-device-width: 480px) and (-webkit-min-device-pixel-ratio: 2),
  screen and (max-width: 640px) {
  .content .page-header blockquote,
  .content .page-header small,
  .content .page-header {
    padding-left: 0 !important;
    border-left: 0 !important;
    margin-left: 0 !important;
  }

  /**GRIDS**/
  .uc-grid,
  .uc-grid-1,
  .uc-grid-2,
  .uc-grid-3,
  .uc-grid-4,
  .uc-grid-5,
  .uc-grid-6 {
    grid-template-columns: 100% !important;
  }

  .uc-grid-3 .colspan,
  .uc-grid-3 .colspan-2,
  .uc-grid-3 .colspan-3,
  .uc-grid-3 .colspan-4,
  .uc-grid-3 .colspan-5 {
    grid-column: auto !important;
  }

  .uc-grid-4 .colspan,
  .uc-grid-4 .colspan-2,
  .uc-grid-4 .colspan-3,
  .uc-grid-4 .colspan-4,
  .uc-grid-4 .colspan-5 {
    grid-column: auto !important;
  }

  .uc-grid-5 .colspan,
  .uc-grid-5 .colspan-2,
  .uc-grid-5 .colspan-3,
  .uc-grid-5 .colspan-4,
  .uc-grid-5 .colspan-5 {
    grid-column: auto !important;
  }

  .uc-grid-6 .colspan,
  .uc-grid-6 .colspan-2,
  .uc-grid-6 .colspan-3,
  .uc-grid-6 .colspan-4,
  .uc-grid-6 .colspan-5 {
    grid-column: auto !important;
  }

  .hide-on-mobile {
    display: none !important;
  }
  .dyn .row.grid-4 {
    grid-template-columns: 50% 50% !important;
  }

  .clickable-list {
    max-height: 250px !important;
    min-height: 50px !important;
  }

  .navbar-fixed-top,
  .navbar-static-top {
    max-height: none;
  }
  .copyrightLabelWrapper {
    position: relative;
  }
  .copyrightLabelWrapper a.copyrightLabel {
    padding: 1rem;
    padding-top: 2rem;
    display: block;
  }
  .costThreshold-config-main {
    display: block;
    flex-wrap: wrap;
  }

  .costThreshold-config-child {
    margin-left: auto;
    margin-right: auto;
  }

  .body-small .navbar-static-side {
    transition: 0.5 all;
    position: fixed;
    display: block;
    transition: 0.4s all;
    min-width: 60%;
    z-index: 10000;
    left: -100%;
    top: 0;
  }
  .dyn .row,
  .dyn row.grid-4 {
    grid-template-columns: 100% !important;
  }
  .navbar-header .navbar-header {
    display: block;
  }
  .dyn .row .col-md-12,
  .dyn .row .col-md-6 {
    grid-column: auto;
  }
  .navbar.navbar-static-top {
    margin-bottom: 0;
    position: fixed;
    right: 0;
    top: 0;
    left: 0;
    margin: 0;
    border-radius: 0;
    box-shadow: 0 1px 3px var(--dyn-shadow-lighten);
    margin-top: 0;
    z-index: 11111000001; /*1985**/
  }

  .modal-open .navbar.navbar-static-top {
    display: none;
  }

  .content .page-header {
    z-index: 100;
  }

  .navbar.navbar-static-top .dropdown-menu {
    right: 0;
    position: fixed;
    z-index: 100000;
    float: none;
    top: 62px;
    left: 10px !important;
    right: 10px !important;
    margin: 0;
    width: auto;
    overflow: auto;
    max-height: 86vh;
  }

  .main-header .col-container > .col {
    width: 100%;
    padding-top: 75px;
    overflow: hidden;
    overflow-x: hidden;
    overflow-y: auto;
  }
  .main-header .col-container > .col:first-child {
    border-radius: none;
    padding: 1em;
  }

  .dyn .modal-loader {
    left: 0 !important;
  }

  .full-width-mobile {
    width: 100% !important;
  }

  .no-show {
    display: none;
  }

  .dyn .row.billing-cards #offer div span {
    font-weight: 500;
    text-transform: initial;
  }

  .no-padding-mobile {
    padding: 0 !important;
    padding-left: 0 !important;
    padding-top: 0 !important;
    padding-bottom: 0 !important;
    padding-right: 0 !important;
  }

  .btn-sm,
  .btn-group-sm > .btn {
    padding: 5px 10px;
  }

  body {
    max-width: 100vw;
  }

  .loginscreen.middle-box {
    width: 90%;
  }

  .wizard li.active:after {
    left: 25%;
  }
  .wizard .nav-tabs > li a {
    margin-bottom: 20px;
    width: 45px;
    height: 45px;
    /* line-height: 45px; */
  }

  .wizard .nav-tabs > li a span.round-tab {
    font-size: 16px;
    width: 45px;
    height: 45px;
    line-height: 45px;
  }

  .dyn .modal-loader .box-header.main-gradient {
    margin-right: 0;
  }

  .display-flex-mobile {
    display: flex !important;
    align-items: center !important;
  }

  .compact {
    display: flex;
    flex-wrap: wrap;
  }
  .order1 {
    order: 1;
  }
  .order2 {
    order: 2;
  }
  .order3 {
    order: 3;
  }

  .dyn .sel-contract {
    min-width: 350px;
  }

  .breadcumbs.closed {
    right: -255px;
  }

  .pull-right-mobile {
    float: right !important;
  }

  input.form-control,
  input.single-line,
  textarea.form-control,
  textarea.single-line,
  select,
  input.form-control::placeholder,
  input.single-line::placeholder,
  textarea.form-control::placeholder,
  textarea.single-line::placeholder,
  select::placeholder {
    font-size: 16px;
    padding: 10px;
    height: auto;
  }

  input,
  input.form-control,
  input.single-line,
  textarea.form-control,
  textarea.single-line,
  select {
    font-size: 16px;
  }
  .dyn i.icon-g {
    padding: 5px;
  }

  .btn {
    font-size: 15px;
    padding: 12px 10px;
    text-transform: uppercase;
    height: auto;
    margin-top: 5px;
  }

  .box-body.lgpd div button {
    padding: 10px !important;
    margin-right: 20px !important;
  }
  .cloud-login-buttons {
    justify-content: space-between;
  }

  .skin-ucloud .btn-primary.navbar-minimalize {
    bottom: 10px;
    width: 64px;
    height: 64px;
    margin: 0;
    right: 10px;
    left: auto;
    top: auto;
    border-radius: 50%;
    font-size: 2.7rem;
  }

  .col-container .navbar-static-top {
    height: 55px;
    top: 0 !important;
  }
  .col-container .navbar-static-top .logo-system {
    width: 180px;
  }

  .content .page-header {
    position: relative;
    left: 0;
    right: 0;
    height: auto;
  }

  .main-header .nav > li > a {
    font-size: 16px;
  }

  .navbar.navbar-static-top > .nav > li > a {
    max-width: 150px;
  }

  .col-container .navbar.navbar-static-top,
  .col-container .navbar-fixed-top,
  .col-container .navbar-static-top {
    background-color: var(--white) !important;
    padding-right: 10px;
  }

  .dyn .row.grid-4 {
    grid-template-columns: 100% !important;
  }

  h3,
  h4,
  h5 {
    font-size: 18px;
  }

  .dyn .row.billing-cards .box {
    text-transform: uppercase;
    font-size: 16px;
    font-weight: bold;
  }

  .dyn .billing-cards .box h2,
  .dyn .billing-cards .box .fa-stack {
    padding: 1rem;
    font-weight: bold;
  }
  .box-wrapper {
    padding: 0;
    padding-left: 10px;
  }

  body.body-small .footer.fixed {
    position: relative;
  }

  .dashboard-rearrange-button .btn-primary {
    min-width: 80px;
  }

  .dyn .modal-loader > .box {
    width: 90%;
    font-size: 16px;
  }

  .dyn .modal-loader > .box .box-header {
    display: flex;
  }
  .dyn .modal-loader > .box .box-header h3 {
    font-size: 2.45rem;
  }
  .dyn .modal-loader > .box .box-header .flex-auto {
    flex: auto;
  }

  .box,
  .uc-custom-box {
    overflow: hidden;
    max-width: 93vw;
  }

  .box .box-body,
  .uc-custom-box .box-body {
    overflow: visible;
    overflow-y: hidden;
    max-height: none;
    box-sizing: border-box;
    height: auto !important;
  }

  .box .box-header h3,
  .uc-custom-box .box-header h3 {
    font-size: 2.2rem;
  }

  /**
  Table
  **/
  .box .box-body table,
  .box .box-body table thead,
  .box .box-body table thead tr,
  .box .box-body table thead tr th,
  .box .box-body table tbody,
  .box .box-body table tbody tr,
  .box .box-body table tbody tr td {
    display: block;
    max-width: 84.5vw;
    box-sizing: border-box !important;
  }

  .box .box-body table thead tr {
    display: grid;
    grid-template-columns: 1fr 1fr;
    width: 100%;
  }
  .box .box-body table thead tr:last-child {
    display: none;
  }
  .box .box-body table tr {
    display: block;
  }

  .box .box-body table tbody {
    display: grid;
    grid-template-columns: 1fr;
    grid-gap: 1rem;
  }

  .box .box-body table tbody tr {
    border: 1px solid var(--dyn-grey-darken);
    border-radius: 2px;
  }
  .box .box-body table tbody tr td {
    border: none;
    border-bottom: 1px solid var(--dyn-grey-lighten);
    text-align: left;
    word-break: break-all;
  }
  .box .box-body table tbody tr td:last-child {
    border-bottom: none !important;
  }

  .table > tbody td .strong_header {
    display: inline-block;
    margin-right: 10px;
    font-weight: bold;
  }

  /**
    Dashboard
  **/
  #dashboard-container.row {
    display: grid;
    grid-template-columns: 1fr;
    grid-gap: 1rem;
  }

  #dashboard-container.row .clickable-list {
    max-height: 30vh;
  }

  #dashboard-container.row #barchart_material {
    height: 350px;
  }

  input[type="radio"],
  input[type="checkbox"],
  .check,
  .radio {
    height: 25px;
    width: 25px;
  }

  .check::after,
  .radio::after {
    height: 25px !important;
    width: 25px !important;
    background-size: 25px 25px !important;
  }

  .btn .fa-toggle-on,
  .btn .fa-toggle-off {
    transform: scale(1.8);
    margin-left: 5px;
    margin-right: 5px;
  }

  .dyn .sel-contract.larger {
    display: flex;
    flex-direction: column;
    margin-top: 1rem;
    margin-left: 0;
    min-width: 0;
    width: 100%;
  }
  .dyn .sel-contract input {
    border-right: 1px solid var(--dyn-grey);
    width: 100%;
  }
  .dyn .sel-contract button {
    min-width: none;
    width: 100%;
    border-right: 3px;
  }

  .dyn.billing-page .modal-loader > .box {
    max-height: 95vh !important;
  }

  .popover {
    background-color: var(--dyn-white) !important;
    backdrop-filter: none !important;
  }

  .popover.bottom {
    position: fixed;
    left: 1rem !important;
    right: 1rem !important;
    top: 75px !important;
    box-shadow: 0 5rem 20rem var(--dyn-black);
  }
  .mpr-calendarholder .col-xs-6 {
    max-width: 3000px !important;
    width: 94%;
  }
  .popover.bottom > .arrow {
    display: none;
  }

  .popover.bottom .mpr-month {
    font-size: 16px;
    text-align: center;
  }
  .mpr-calendar h5,
  .mpr-yeardown,
  .mpr-yearup {
    font-size: 24px;
  }

  .daterangepicker {
    position: fixed;
    left: 10px !important;
    right: 10px !important;
    margin-top: 0;
    width: auto;
    box-shadow: 0 5rem 20rem var(--dyn-shadow);
    font-size: 16px;
    top: 75px !important;
    -webkit-animation-name: show;
    animation-name: show;
  }
  .daterangepicker .ranges li {
    font-size: 16px;
    padding: 10px;
  }
  .daterangepicker.dyn-month-only .prev,
  .daterangepicker.dyn-month-only .next {
    display: none;
  }
  .daterangepicker th.month {
    width: auto;
    padding: 10px 0;
    margin-left: -10px;
  }

  .daterangepicker.dyn-month-only select.monthselect,
  .daterangepicker.dyn-month-only select.yearselect {
    font-size: 16px;
    padding: 5px 10px;
    height: 36px;
  }
  .daterangepicker.dyn-month-only select.monthselect {
    float: left;
  }
  .daterangepicker.dyn-month-only .drp-calendar {
    width: 100%;
    max-width: none;
  }

  .daterangepicker button.btn-primary {
    font-size: 16px;
    padding: 12px 10px;
  }

  .daterangepicker:before,
  .daterangepicker:after {
    display: none;
  }

  .date-picker-wrapper {
    background-color: white !important;
    backdrop-filter: none !important;
    position: relative;
  }

  .date-picker-wrapper.no-shortcuts {
    position: fixed;
    top: 75px !important;
    left: 10px !important;
    right: 10px !important;
    box-shadow: 0 5rem 20rem var(--dyn-black);
  }

  .date-picker-wrapper .month-wrapper {
    position: relative !important;
    width: calc(100vw - 50px) !important;
    display: flex;
  }

  .date-picker-wrapper .month-wrapper table {
    width: calc(100vw - 50px) !important;
    float: none !important;
  }

  .date-picker-wrapper .time {
    display: none !important;
  }

  .date-picker-wrapper .month-wrapper table .day,
  .date-picker-wrapper .week-number {
    width: auto !important;
    font-size: 16px !important;
  }

  .date-picker-wrapper .drp_top-bar {
    position: static !important;
  }

  .date-picker-wrapper .drp_top-bar .apply-btn,
  .date-picker-wrapper .drp_top-bar .apply-btn.disabled {
    left: 10px;
    bottom: 10px;
    right: 10px;
    background-color: var(--dyn-main-gradient);
    padding: 12px !important;
    text-transform: uppercase;

    position: absolute;
    top: auto !important;
    font-size: 16px !important;
    width: calc(100vw - 40px);
  }

  .date-picker-wrapper .drp_top-bar .apply-btn.disabled {
    background: var(--dyn-grey) !important;
    opacity: .4;
  }

  .date-picker-wrapper.no-shortcuts {
    padding-bottom: 64px !important;
  }

  .daterangepicker .drp-calendar.right * {
    display: block;
  }
  .daterangepicker .drp-calendar.right .month,
  .daterangepicker .drp-calendar.right tbody,
  .daterangepicker .drp-calendar.right th {
    display: none;
  }
  .daterangepicker .ranges {
    display: none;
  }
  .daterangepicker .drp-calendar.right .next {
    display: block;
    position: absolute;
    right: 17px;
    top: 15px;
    z-index: 1000;
    height: 36px;
  }
  .daterangepicker .drp-buttons .drp-selected {
    display: none !important;
  }
  .daterangepicker .drp-calendar.left,
  .daterangepicker .drp-calendar.left table {
    width: calc(100vw - 50px) !important;
  }

  .daterangepicker .drp-calendar tbody th,
  .daterangepicker .drp-calendar tbody td {
    font-size: 16px !important;
  }

  .daterangepicker.show-calendar .drp-buttons span {
    display: block;
    text-align: center;
    text-transform: uppercase;
    padding: 10px;
  }

  .daterangepicker .drp-buttons .btn {
    margin-left: 0 !important;
    font-size: 16px;
    padding: 12px !important;
    width: 100% !important;
    float: none;
    display: block;
    margin-bottom: 5px;
  }
  .modal-content .modal-footer {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
  }

  .popover.bottom {
    position: fixed;
    left: 1rem !important;
    right: 1rem !important;
    top: 25vh !important;
  }

  .daterangepicker .drp-buttons .btn.cancelBtn {
    background-color: var(--dyn-grey-lighten) !important;
    color: var(--dyn-foreground) !important;
    border: none;
  }
  .daterangepicker .drp-buttons {
    display: flex !important;
    flex-direction: column-reverse;
    justify-content: end;
  }

  .wizard {
    width: 100%;
  }

  .wizard .nav-tabs {
    display: flex;
    justify-content: space-between;
  }

  .mrp-monthdisplay {
    flex: auto;
  }

  .dyn .card-service .card-content p {
    font-size: 16px;
  }
  .text-size-lger {
    font-size: 2rem !important;
  }
  .input-larger {
    width: 100%;
  }
  .dyn .modal-history-services {
    display: block;
  }
  .dyn .modal-history-services .info-primary {
    width: 100%;
  }
  .dyn .modal-history-services .info-primary .description-service p {
    font-size: 16px;
  }
  .dyn .btn-cart {
    padding: 10px;
  }
  .dyn .item-cart .div-info {
    width: 70%;
  }
  .dyn .item-cart .price-cart {
    width: 30%;
  }
  .no-margin-left-mobile {
    margin-left: 0 !important;
  }

  .fab-uc2 {
    display: block;
  }

  .dyn .bottom-modal {
    left: 0;
  }

  .budgets-lines .percent-budget {
    max-width: 1rem;
  }

  .budgets-lines .budget-body {
    justify-content: space-between;
    align-items: center;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    width: 100%;
    padding-right: 1rem;
    padding-bottom: 1rem;
    padding-top: 1rem;
    max-width: 45rem;
  }

  .budgets-lines .budget-header {
    padding-top: 1rem;
    padding-left: 1rem;
  }

  .budgets-lines .budget-date {
    min-width: 0px;
    justify-content: center;
  }

  .budgets-lines .fa-chevron-down,
  .fa-chevron-up {
    background-color: rgb(236, 236, 236);
    padding: 1rem;
    border-radius: 2rem;
  }

  .budgets-lines .budget-list {
    font-size: 1.5rem;
  }
  .budget__element {
    display: flex;
    flex: auto;
    flex-wrap: wrap;
  }

  .budgets-lines .separator {
    min-width: 0rem;
    padding-left: 1rem;
  }

  .budgets-lines .separator {
    display: none;
  }

  .budgets-lines .budget-period {
    display: inline-block;
  }

  .budgets-lines .budget-details {
    text-align: right;
    padding-right: 1rem;
  }

  .budgets-lines .nowrap.ellipsis {
    min-width: 0rem;
  }

  .budgets-lines .budget-date.subbudget {
    margin-left: 0px;
  }

  .budgets-lines .bar-desktop {
    display: none;
  }

  .budgets-lines .consumed-bar.bar-mobile {
    display: flex;
    min-width: 233px;
  }

  .dyn .modal-loader,
  .dyn .modal-loader-contract {
    left: 0px;
  }

  .dyn .clickable-list,
  .dyn .select-contract-list {
    max-height: 200px;
  }

  .div-chart-doughnut {
    min-height: 375px;
  }

  .risk-analysis.cost-info {
    display: block;
    border-left: 1px solid var(--dyn-orange);
  }

  .risk-analysis.cost-info .cost-info-item {
    padding-left: 0px;
    text-align: center;
  }

  .risk-analysis.cost-info .cost-info-item-risk {
    text-align: center;
    display: block;
  }

  .risk-analysis.cost-info .cost-info-item-risk-value {
    justify-content: center;
    display: flex;
  }

  .risk-analysis.title {
    color: white;
    text-decoration: none;
    text-align: center;
    white-space: nowrap;
    display: inline-flex;
    line-height: 2;
  }
  .risk-analysis.title_animated {
    animation: backAndForth 10s linear infinite;
  }

  .group-accordion .body .answer {
    flex-direction: column;
  }

  .group-accordion .header div:first-child {
    border-right: none;
    width: 100%;
  }

  .group-accordion .header div:first-child p {
    text-align: left !important;
  }

  .group-accordion .body .answer div:first-child {
    border: none;
    width: 100%;
    text-align: left;
  }

  .content .page-header blockquote,
  .content .page-header small {
    width: auto;
    right: 10px;
  }
  .modal-bottom-sheet {
    display: block;
  }

  .modal-bottom-sheet .term-text {
    margin-bottom: 20px;
  }

  .modal-bottom-sheet .term-text button.btn.link {
    padding: 8px 5px;
  }

  .modal-bottom-sheet .buttons {
    flex-direction: row;
  }

  .modal-bottom-sheet .buttons button:first-child {
    margin-right: 10px;
  }

  .navbar-form-custom {
    display: none;
  }
}

@media only screen and (min-device-width: 768px) and (max-device-width: 1024px) and (orientation: portrait) and (-webkit-min-device-pixel-ratio: 1),
  screen and (max-width: 1020px) {
  .dyn .modal-loader {
    left: 0 !important;
  }
  .risk-analysis.cost-info {
    border-left: 1px solid var(--dyn-orange);
  }
}

@media only screen and (min-device-width: 768px) and (max-device-width: 1280px),
  screen and (max-width: 1280px) {
  .budgets-lines .budget-list {
    justify-content: center !important;
  }
  .budget__element {
    display: flex;
    flex: auto;
    flex-wrap: wrap;
  }
  .budgets-lines .subBudgetValue {
    justify-content: center !important;
  }
}

@media only screen and (min-device-width: 768px) and (max-device-width: 1280px),
  screen and (max-width: 1366px) {
  .budgets-lines .subBudgetValue {
    justify-content: center !important;
  }
}

@media only screen and (min-width: 640px) {
  .hide-on-desktop,
  .show-on-mobile-only {
    display: none !important;
  }
}
